List a Beneficiary’s bank accounts (masked)
curl --request GET \
--url https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bank_accounts": [
{
"id": "<string>",
"kind": "bank",
"account_holder_name": "<string>",
"currency": "<string>",
"country": "<string>",
"status": "verified",
"validation_status": "unvalidated",
"payout_usable": true,
"last4": "<string>",
"account_type": "checking",
"default": false,
"bank_name": "<string>",
"card_valid_through": "2023-12-25",
"name": "<string>",
"rail_rejection_reason": {}
}
]
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Beneficiary 3f9c2b1a-6d4e-4f8a-b2c7-9e1d0a5b7c3f not found",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#not_found"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Slow down and retry after the window.",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#rate_limited"
}
}Bank accounts
List bank accounts
Returns all statuses; identifiers are masked to last4. The full IBAN/account number is never serialized.
GET
/
v1
/
beneficiaries
/
{id}
/
bank-accounts
List a Beneficiary’s bank accounts (masked)
curl --request GET \
--url https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecleff.com/v1/beneficiaries/{id}/bank-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bank_accounts": [
{
"id": "<string>",
"kind": "bank",
"account_holder_name": "<string>",
"currency": "<string>",
"country": "<string>",
"status": "verified",
"validation_status": "unvalidated",
"payout_usable": true,
"last4": "<string>",
"account_type": "checking",
"default": false,
"bank_name": "<string>",
"card_valid_through": "2023-12-25",
"name": "<string>",
"rail_rejection_reason": {}
}
]
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Beneficiary 3f9c2b1a-6d4e-4f8a-b2c7-9e1d0a5b7c3f not found",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": {
"user_id": "usr_...",
"membership_id": "mem_...",
"role": "business_admin",
"environment": "sandbox"
},
"docs_url": "https://docs.usecleff.com/errors#not_found"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Slow down and retry after the window.",
"request_id": "req_abc123",
"occurred_at": "2026-07-07T12:00:00.000Z",
"actor": null,
"docs_url": "https://docs.usecleff.com/errors#rate_limited"
}
}Agents: fetch this page as plain markdown at
https://docs.usecleff.com/api-reference/beneficiaries-bank-accounts-list.md.